> For the complete documentation index, see [llms.txt](https://docs.nxtfi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nxtfi.org/api-reference/get-files-from-storage-by-scope.md).

# Get files from storage by scope

## Obtain file content from storage by scope

<mark style="color:blue;">`GET`</mark> `https://test-001-node.cloud.nxtfi.org/v2 /_storage/<scope>/<dirName>/<fileName>`

If the file was saved without being placed inside a folder-like filename, the `<dirname>` part can be left out.&#x20;

If the query call point to a directory, the response will display only files listed in the specified key (directory).&#x20;

if listing folders as well as files is needed, the query call to the directory must include the query string with the raw option set to true (`/_storage/<scope>/<dirName>/?raw=1`)

#### Query Parameters

| Name                                       | Type   | Description                             |
| ------------------------------------------ | ------ | --------------------------------------- |
| scope<mark style="color:red;">\*</mark>    | String | scope were file or directory was stored |
| filename<mark style="color:red;">\*</mark> | String | Path to file                            |
| dirname                                    | String | folder like prefix name                 |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}
{% endtabs %}

### Another available option&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nxtfi.org/api-reference/get-files-from-storage-by-scope.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
